com.aispeech.dui

## Class BusClient.XSocket

- java.lang.Object
- - com.aispeech.dui.BusClient.XSocket

- Enclosing class:
    BusClient

      public static class BusClient.XSocket
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_BYTE_BUFFER_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSocket(java.lang.String name, int bufferSize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `connect(java.lang.String addr)`
    `boolean` | `isConnected()`
    `boolean` | `isReadable()`
    `BusClient.Multipart` | `receiveMultipart()`
    `void` | `sendMultipart(BusClient.Multipart multipart)`
    `boolean` | `waitReadable(long timeout)`
    `boolean` | `waitWritable(long timeout)`
    `void` | `wakeup()`
    `void` | `write(byte[] data, boolean eof)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_BYTE_BUFFER_SIZE

          public static final int DEFAULT_BYTE_BUFFER_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XSocket

          public XSocket(java.lang.String name,
                         int bufferSize)

  - ### Method Detail

    - #### receiveMultipart

          public BusClient.Multipart receiveMultipart()
                                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public void write(byte[] data,
                            boolean eof)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### sendMultipart

          public void sendMultipart(BusClient.Multipart multipart)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### connect

          public void connect(java.lang.String addr)
                       throws java.io.IOException,
                              java.util.concurrent.TimeoutException

      Throws:
        `java.io.IOException`
        `java.util.concurrent.TimeoutException`

    - #### isConnected

          public boolean isConnected()

    - #### isReadable

          public boolean isReadable()
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### wakeup

          public void wakeup()

    - #### waitReadable

          public boolean waitReadable(long timeout)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### waitWritable

          public boolean waitWritable(long timeout)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### close

          public void close()